Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		kdebase-runtime
Version:	4.1.1
Release:	1
License:	GNU/GPL, LGPL
URL:		http://www.kde.org
Group:		Graphical Desktop/KDE4
Source0:	kdebase-runtime-%{version}.tar.bz2
Source1:       	khelpcenter.desktop
Patch0:		kdebase-runtime-4.0.72-pulseaudio.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	K Desktop Environment - Runtime
Requires:	kdelibs4 kdepimlibs4 eject
BuildRequires:	kde-filesystem
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
BuildRequires:	qt4-devel alsa-lib-devel clucene-devel giflib-devel hal-devel samba-devel
BuildRequires:	cmake
BuildRequires:	bzip2-devel libXScrnSaver-devel OpenEXR-devel pcre-devel
BuildRequires:	kdelibs4-devel >= %{version}
BuildRequires:	kdepimlibs4-devel >= %{version}
BuildRequires:	qimageblitz-devel soprano-devel strigi-devel
BuildRequires:	openssl-devel xorg-x11-font-utils xorg-x11-proto-devel
BuildRequires:	xine-lib-devel
BuildRequires:	libxcb-devel
BuildRequires:	libpthread-stubs

Provides: 	phonon-backend = 4.2
Provides: 	phonon-backend-xine = %{version}-%{release}
Obsoletes: 	kdebase4-runtime < %{version}-%{release}
Provides:  	kdebase4-runtime = %{version}-%{release}

%description
Core runtime for the K Desktop Environment 4.

%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%prep
%setup -q
%patch0 -p1 -b .pulseaudio

%build
mkdir -p %{_target_platform} 
pushd %{_target_platform}
%{cmake_kde4} ..
popd

#make %{?_smp_mflags} -C %{_target_platform}
make -C %{_target_platform}

%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# omit hicolor index.theme, use one from hicolor-icon-theme
rm -f %{buildroot}%{_kde4_iconsdir}/hicolor/index.theme

install -p -D %{SOURCE1} %{buildroot}%{_datadir}/services/khelpcenter.desktop

# FIXME: -devel type files, omit for now
rm -rf %{buildroot}%{_kde4_includedir}/phonon/
rm -f  %{buildroot}%{_kde4_libdir}/libkaudiodevicelist.so


%files
%defattr(-,root,root,-)
%{_kde4_bindir}/*
%{_kde4_appsdir}/*
%{_kde4_datadir}/config.kcfg/
%{_kde4_datadir}/locale
%{_kde4_iconsdir}/default.kde4
%{_kde4_datadir}/emoticons
%{_datadir}/dbus-1/interfaces/*
%{_datadir}/dbus-1/services/*
%{_kde4_iconsdir}/oxygen/
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/sounds/*
%{_kde4_docdir}/HTML/en/
%{_kde4_libdir}/libkdeinit4_*.so
%{_kde4_libdir}/kde4/*
%{_kde4_libdir}/strigi/*
%{_mandir}/man1/*
%{_kde4_datadir}/desktop-directories
%{_kde4_datadir}/config
%{_kde4_datadir}/applications/kde4/Help.desktop
%{_kde4_datadir}/applications/kde4/k*.desktop
%{_kde4_sysconfdir}/xdg/menus
%{_kde4_datadir}/autostart/nepomukserver.desktop
%{_kde4_libdir}/kconf_update_bin/*
%{_kde4_libdir}/libkaudiodevicelist.so*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_datadir}/services/khelpcenter.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-3
- renamed package
* Tue Jul 29 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- rebuild for moved devel symlinks
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Thu Jul 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-2
- rebuild against openEXR-1.6.1-2
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( 4.1 beta 2 )
* Fri Jun 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-1
- Version update ( 4.1 beta 1 )
* Mon May 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.72-1
- Version update ( 4.1 alpha 1 )
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update
* Thu Feb 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.1-2
- moved KDEHOMEDIR to ~/.kde4
* Wed Feb 06 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.1-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
* Wed Dec 12 2007 Christian Metzen <metzench@ccux-linux.de> 3.97.0-1
- Version update to RC2
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-2
- rebuild, moved prefix to /usr
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-1
- Version update to latest rc
* Tue Nov 20 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.95.2-1
- Version update to Beta 4 - svn739162,
  split into seperate packages & sources like kde upstream does it
* Wed Sep 19 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.93-1
- Version update to Beta 2 -svn714529
* Wed Aug 15 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.92-1
- Version update to Beta 1 - svn700427
* Wed Jun 27 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.90.1-2
- Version update - svn680852
* Thu Jun 7 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.90.1-1
- Initial Release - svn673043
